/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * Unmodifiable terms used for building attachments to messages.
 */
public interface Terms {
	
	/**
	 * Returns the count of terms.
	 * @return the count of terms.
	 */
	public int count();
	
	/**
	 * Returns the Object at the given index.
	 * It must be not modifiable.
	 * @param index an index between 0 and n-1.
	 * @return the Object at the given index.
	 */
	public Object get(int index);
}
