/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.exception;

/**
 * This ReactiveException notify a name conflict.
 * It is throwed in the following contexts :
 * - creating or naming an Event or a Message,
 * - adding an argument to an agent launching context.
 */
public class NameAlreadyUsedException extends ReactiveException {

	private static final long serialVersionUID = 7791510244443966475L;

	public NameAlreadyUsedException() {
	}
}
