/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.facet.event;

/**
 * BoolCondition implementation of a true value.
 */
public final class TrueBoolCondition extends BoolConditionImpl {
	
	static final TrueBoolCondition TRUE = new TrueBoolCondition();
	
	private TrueBoolCondition() {
	}
	
	//////////////////////////
	// BoolNode implementation
	//////////////////////////
	
	public boolean isResolved() {
		return true;
	}
	
	public boolean booleanValue() {
		return true;
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		return "true";
	}
}
