/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.impl;

import org.xmloperator.reactive.CertifiedAttachment;

/**
 * Attachment implementation.
 */
class CertifiedAttachmentImpl implements CertifiedAttachment {
	
	protected String senderEntityId = null;
	
	CertifiedAttachmentImpl() {
	}
	
	void setSenderEntityId(String senderEntityId) {
		this.senderEntityId = senderEntityId;
	}
	
	/////////////////////////////////////
	// CertifiedAttachment implementation
	/////////////////////////////////////
	
	public String getSenderEntityId() {
		return this.senderEntityId;
	}
	
	public boolean isTermsAttachment() {
		return false;
	}

	public boolean isActionAttachment() {
		return false;
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		return this.senderEntityId;
	}
}
