/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element;

/**
 * DataElement with an Object content and no child Element (before translation).
 */
public interface ObjectDataElement extends DataElement {

	/**
	 * Returns the data associated to this ObjectElement if any, null elsewhere.
	 * @return the data associated to this ObjectElement if any, null elsewhere.
	 */
	public TranslatableObject getData();
}
