/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.exception;

import org.xmloperator.reactive.exception.ReactiveException;

/**
 * This ReactiveException is throwed when a not allowed action is tried
 *   on an Element, which is free or attached to a Document.
 */
public final class IllegalElementChangeException extends ReactiveException {

	private static final long serialVersionUID = -6219373598113909904L;

	public IllegalElementChangeException() {
	}
}
