/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.exception;

/**
 * This ReacticeException is throwed on trying to create a new ReactiveMachine
 * 	while an existing ReactiveMachine is already or yet active.
 */
public final class ActiveReactiveMachineException extends ReactiveException {

	private static final long serialVersionUID = -3771742130151583849L;

	public ActiveReactiveMachineException() {
	}
}
