/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.exception;

/**
 * This ReactiveException is throwed when an agent try to execute an action
 *   for which it is prevented.
 * Prevention can be fixed in the Agent profile or made at execution time.
 */
public final class PreventedActionException extends ReactiveException {

	private static final long serialVersionUID = 2316578185803646181L;

	public PreventedActionException() {
	}
}
