/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.util;

import org.xmloperator.reactive.ReactiveCommunity;
/**
 * An instant in a community.
 */
public final class CommunityInstant {

	private ReactiveCommunity community;
	private long instant;
	
	public CommunityInstant(ReactiveCommunity community, long instant) {
		this.community = community;
		this.instant = instant;
	}

	public void setCommunityInstant(ReactiveCommunity community, long instant) {
		this.community = community;
		this.instant = instant;
	}
	
	public ReactiveCommunity getCommunity() {
		return this.community;
	}
	
	public long getInstant() {
		return this.instant;
	}
}
